%define		kdeappsver	21.08.1
%define		kframever	5.56.0
%define		qtver		5.9.0
%define		kaname		kblackbox
Summary:	Kblackbox
Name:		ka5-%{kaname}
Version:	21.08.1
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications/Games
Source0:	http://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	19a44a0cb1dffc0f35336aea0d826a01
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= 5.11.1
BuildRequires:	Qt5Qml-devel >= 5.11.1
BuildRequires:	Qt5Quick-devel >= 5.11.1
BuildRequires:	Qt5Svg-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	ka5-libkdegames-devel >= %{kdeappsver}
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-karchive-devel >= %{kframever}
BuildRequires:	kf5-kconfig-devel >= %{kframever}
BuildRequires:	kf5-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf5-kcrash-devel >= %{kframever}
BuildRequires:	kf5-kdbusaddons-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-ktextwidgets-devel >= %{kframever}
BuildRequires:	kf5-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KBlackbox is a game of hide and seek played on a grid of boxes where
the computer has hidden several balls. The position of the hidden
balls can be deduced by shooting beams into the box.

%description -l pl.UTF-8
KBlackbox jest grą "ukryj i szukaj" rozgrywaną na siatce pudełek,
gdzie komputer ukrył kilka kul. Pozycje tych kul mogą być odgadnięte
na zasadzie dedukcji wystrzeliwując promienie w kierunku pudełka.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kblackbox
%{_desktopdir}/org.kde.kblackbox.desktop
%{_iconsdir}/hicolor/128x128/apps/kblackbox.png
%{_iconsdir}/hicolor/16x16/apps/kblackbox.png
%{_iconsdir}/hicolor/22x22/apps/kblackbox.png
%{_iconsdir}/hicolor/32x32/apps/kblackbox.png
%{_iconsdir}/hicolor/48x48/apps/kblackbox.png
%{_iconsdir}/hicolor/64x64/apps/kblackbox.png
%{_datadir}/kblackbox
%{_datadir}/metainfo/org.kde.kblackbox.appdata.xml
%changelog
* Wed Sep 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kblackbox.git;a=log;h=master

* Sun Sep 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4ef8bd3
- updated to 21.08.1

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> fe4118e
- updated to 21.08.0

* Sun Jul 18 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 357406d
- pl description

* Fri Jul 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 760d776
- updated to 21.04.3

* Fri Jun 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 202c657
- updated to 21.04.2

* Sat May 15 2021 Witold Filipczyk <witekfl@poczta.onet.pl> fdc1382
- updated to 21.04.1

* Sat Apr 24 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 96d4d67
- updated to 21.04.0

* Tue Mar 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> bf95a7b
- updated to 20.12.3

* Mon May 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> dfcdc04
- updated to 19.04.1
- packaged docs
- macro kframever

* Sat Jan 12 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 923c01b
- updated to 18.12.1; ninja

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 2f57126
- updated to 18.12.0

